#include "script_system.hpp"

#include "pw/system/window.hpp"
#include "pw/system/input.hpp"

namespace pw {

void script_system::load(sol::table &ns)
{
	ns.new_usertype<window>("window",
							"update",&window::update,
							"title",sol::writeonly_property(&window::set_title),
							"size",sol::property(&window::size,&window::set_size),
							"position",sol::property(&window::position,&window::set_position)
							);

	ns.new_usertype<input>("input",
						   "new", sol::no_constructor,
						   "get",&input::get,
						   "mouse_position",sol::readonly_property(&input::mouse_position),
						   "mouse_button",sol::readonly_property(&input::mouse_button),
						   "input_string",sol::readonly_property(&input::input_string)
						   );
}

}
