#ifndef PW_SYSTEM_INPUT_HPP
#define PW_SYSTEM_INPUT_HPP

#include <pw/core/globals.hpp>
#include <pw/core/point.hpp>

namespace pw {

class input {
public:

    static input& get();

    point mouse_position() const { return _mouse_position; }
	int mouse_button() const { return _mouse_button; }
	std::string input_string() const { return _input_string; }


	~input() = default;

	enum mouse_button_state {
		pressed,
		released
	};

protected:

    friend class window;

    input();

private:

    point _mouse_position;
	int _mouse_button;

	std::string _input_string;


};

}

#endif
