#ifndef PW_SYSTEM_WINDOW_HPP
#define PW_SYSTEM_WINDOW_HPP

#include <pw/core/globals.hpp>
#include <pw/core/size.hpp>
#include <pw/core/point.hpp>

namespace pw {

class window {
public:

    window();
    ~window();

    bool update();

	void set_title(const std::string& title);

	void set_size(const size& s);
	size size() const;

	void set_position(const point& p);
	point position() const;

    typedef void drop_callback;

protected:

	struct impl;
	std::unique_ptr<impl> _impl;

};

}

#endif
